Piloterr

Manomano Product Offer

Manomano Product Offer via API.

Credit cost: 1 credit per call

GET
/v2/manomano/product/offer

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*number
region*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/manomano/product/offer?query=0&region=string"
[
  {
    "name": "Example",
    "value": {
      "count": 2,
      "results": [
        {
          "sku": {
            "title": "Modern single basin sink mixer tap slotted drain curved spout chrome bathroom",
            "master_product": {
              "slug": "modern-mono-basin-mixer-tap-slotted-waste-chrome-cloakroom",
              "article_id": "9655074"
            }
          },
          "market": "B2C",
          "seller": {
            "is_m_f": false,
            "contract_id": "36769168",
            "contract_name": "COOCHEER",
            "country_location": "FR"
          },
          "pricing": {
            "sell_price": {
              "amount_vat_excluded": 32.92,
              "amount_vat_included": 39.5
            },
            "retail_price": null,
            "eco_participation": {
              "amount_vat_included": 0.1
            }
          },
          "packaging": {
            "increment": "1",
            "minimum_quantity": "1"
          },
          "product_id": "137641413",
          "is_sellable": true,
          "delivery_offers": [
            {
              "estimate_delivery": {
                "is_express": false,
                "delivery_time": {
                  "max": 11,
                  "min": 8
                },
                "free_delivery": {
                  "threshold": null,
                  "is_reached": true
                }
              },
              "delivery_countries": [
                "GB"
              ]
            }
          ]
        },
        {
          "sku": {
            "title": "Modern single basin sink mixer tap slotted drain curved spout chrome bathroom",
            "master_product": {
              "slug": "modern-mono-basin-mixer-tap-slotted-waste-chrome-cloakroom",
              "article_id": "9655074"
            }
          },
          "market": "B2C",
          "seller": {
            "is_m_f": false,
            "contract_id": "36643313",
            "contract_name": "Direct Power",
            "country_location": "FR"
          },
          "pricing": {
            "sell_price": {
              "amount_vat_excluded": 32.92,
              "amount_vat_included": 39.5
            },
            "retail_price": null,
            "eco_participation": {
              "amount_vat_included": 0.1
            }
          },
          "packaging": {
            "increment": "1",
            "minimum_quantity": "1"
          },
          "product_id": "139818262",
          "is_sellable": true,
          "delivery_offers": [
            {
              "estimate_delivery": {
                "is_express": false,
                "delivery_time": {
                  "max": 10,
                  "min": 7
                },
                "free_delivery": {
                  "threshold": null,
                  "is_reached": true
                }
              },
              "delivery_countries": [
                "GB"
              ]
            }
          ]
        }
      ]
    }
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}